Loading...
Searching...
No Matches
ext2_dir_entry_2 Struct Reference

`#include <ext2_fs.h>`

## Data Fields

uint8_t | file_type
uint32_t | inode
char | name [255]
uint8_t | name_len
uint16_t | rec_len

## Field Documentation

## file_type

uint8_t ext2_dir_entry_2::file_type

## inode

uint32_t ext2_dir_entry_2::inode

## name

char ext2_dir_entry_2::name[255]

## name_len

uint8_t ext2_dir_entry_2::name_len

## rec_len

uint16_t ext2_dir_entry_2::rec_len

The documentation for this struct was generated from the following file:

- libparted/fs/ext2/ext2_fs.h